#### D.15.8.20 grlift

Procedure from library `gradedModules.lib` (see gradedModules_lib).

Usage:
  grlift(M, N), graded objects M and N

Return:
  transformation matrix (graded object???)

Purpose:
  compute graded matrix which the generators of submodule Im(N) in terms of Im(M).

Example:

    LIB "gradedModules.lib";
    ring r=32003,(x,y,z),dp;
    module P=grobj(module([xy,0,xz]),intvec(0,1,0));
    grview(P);
    ==> Graded homomorphism: r + r(-1) + r <- r(-2), given by a matrix, with degr\
       ees:
    ==>      ..1 ....
    ==>      --- +...
    ==>   0 :  2 |..1
    ==>   1 :  - |..2
    ==>   0 :  2 |..3
    ==>      ===
    ==>        2
    module D=grobj(module([y,0,z],[x2+y2,z,0]),intvec(0,1,0));
    grview(D);
    ==> Graded homomorphism: r + r(-1) + r <- r(-1) + r(-2), given by a matrix, w\
       ith degrees:
    ==>      ..1 ..2 ....
    ==>      --- --- +...
    ==>   0 :  1   2 |..1
    ==>   1 :  -   1 |..2
    ==>   0 :  1   - |..3
    ==>      === ===
    ==>        1   2
    def G=grlift(D,P);
    grview(G);
    ==> Graded homomorphism: r(-1) + r(-2) <- r(-2), given by a matrix, with degr\
       ees:
    ==>      ..1 ....
    ==>      --- +...
    ==>   1 :  1 |..1
    ==>   2 :  - |..2
    ==>      ===
    ==>        2
    ASSUME(0, grisequal( grprod(D, G), P) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.